#!/bin/sh

# This file is used by spequlos to remotely starts the cloud worker and make it join the DG
# A BOINC client with userd_id "1" needs to registered to the BOINC server. 

BOINC_DIR=/opt/BOINC_CLIENT
BOINC_PROJECT=http://abenaki.imag.fr/cplan/

#Replace this with the account number of the BOINC client with user_id "1"
BOINC_ACCOUNT=1c3516472b9a86f40f0d96f8124fb403

if [ ! -d $BOINC_DIR ]
then
    echo "Error: Unable to find the directory containing BOINC at $BOINC_DIR"
    exit 1
fi

echo "Starting cloudworker for BOINC @ $BOINC_PROJECT"

cd $BOINC_DIR
./boinc_client --daemon
sleep 5
./boinccmd --project_attach $BOINC_PROJECT $BOINC_ACCOUNT

exit $?
